org.apache.xmlgraphics.ps

## Class PSDictionary

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.apache.xmlgraphics.ps.PSDictionary

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map
  Direct Known Subclasses:
    PSPageDeviceDictionary

      public class PSDictionary
      extends java.util.HashMap

  This class is used to encapsulate postscript dictionary objects.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSDictionary()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `static PSDictionary` | `valueOf(java.lang.String str)` Parses a given a dictionary string and returns an object

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PSDictionary

          public PSDictionary()

  - ### Method Detail

    - #### valueOf

          public static PSDictionary valueOf(java.lang.String str)
                                      throws PSDictionaryFormatException

      Parses a given a dictionary string and returns an object
      Parameters:
        `str` - dictionary string
      Returns:
        dictionary object
      Throws:
        `PSDictionaryFormatException` - thrown in the event that a parsing error occurred

    - #### equals

          public boolean equals(java.lang.Object obj)

      Specified by:
        `equals` in interface `java.util.Map`
      Overrides:
        `equals` in class `java.util.AbstractMap`
      Parameters:
        `obj` - object to test equality against
      Returns:
        whether a given object is equal to this dictionary object
      See Also:
        `Object.equals(Object)`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map`
      Overrides:
        `hashCode` in class `java.util.AbstractMap`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.AbstractMap`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.